Loading...
Searching...
No Matches
iterators.hpp File Reference

## Description

Declares entities in bsoncxx::v_noabi::vector::iterators.

Go to the source code of this file.

## Classes

class | bsoncxx::v_noabi::vector::iterators::packed_bit_byte< Iterator >
| Iterator for bytes within a packed_bit vector. More...
class | bsoncxx::v_noabi::vector::iterators::packed_bit_element< Iterator >
| Iterator for elements within a packed_bit vector. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::vector
| Declarations related to the BSON Binary Vector subtype.
namespace | bsoncxx::v_noabi::vector::iterators
| Declares iterator types for BSON Binary Vector.